+1
Under review

Ubuntu 14.04 Закрывается после попытки сделать скрин

Valjin 3 years ago updated by Команда Joxi (Команда Joxi) 3 years ago 13

QML debugging is enabled. Only use this in a safe environment.

set menu = 0xd6c440 0xd54910
set menu = 0xd6c440 0xd54ab0

(joxi:22036): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(joxi:22036): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(joxi:22036): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(joxi:22036): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(joxi:22036): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(joxi:22036): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(joxi:22036): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed
set menu = 0xd6c440 0xd54c50
content-type missing in HTTP POST, defaulting to application/x-www-form-urlencoded. Use QNetworkRequest::setHeader() to fix this problem.
content-type missing in HTTP POST, defaulting to application/x-www-form-urlencoded. Use QNetworkRequest::setHeader() to fix this problem.
content-type missing in HTTP POST, defaulting to application/x-www-form-urlencoded. Use QNetworkRequest::setHeader() to fix this problem.
QSqlQuery::value: not positioned on a valid record
onVisibleChanged * 1
implicitWidth 0 210
implicitWidth 0 210
calcCoordinate = -820 11 0 790 0
QObject::connect: No such slot Core::ponoramUpload(QPixmap)
calcCoordinate = 546 779 1366 790 1366
calccoordinate *1
calccoordinate *5 768 768
onShowToolBarChanged true 566 653 1366 768
calcCoordinate = 546 779 1366 790 1366
calccoordinate *1
calccoordinate *5 768 768
content-type missing in HTTP POST, defaulting to application/x-www-form-urlencoded. Use QNetworkRequest::setHeader() to fix this problem.
QIODevice::read: device not open
QSqlQuery::value: not positioned on a valid record
QSqlQuery::value: not positioned on a valid record
joxi: symbol lookup error: joxi: undefined symbol: _ZN17QQuickPaintedItem16releaseResourcesEv


Under review

Добрый день, вам необходимо обновить библиотеки Qt до версии 5.4.1

А это возможно, учитывая что у меня 14.04 версия убунты?

Обязательно ставить именно версию 5.4.1 или можно выше?

Прощу прощения за беспокойство, просто при установке выбрал версию 5.8 и по завершению у joxi всё та же проблема, я так понимаю там кроме библиотек ещё и ide ставится


Необходимо проверить какие библиотеки подгружает joxi, после установки новой версии, загружаться могут сатыре библиотеки.

+1

как это проверить? проблема та же самая

Делал так:
cd /usr/bin/

ldd joxi


В ответ внушительный список:
linux-vdso.so.1 => (0x00007ffe1ed32000)
libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007efd7be13000)
libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007efd7bc0c000)
libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007efd7b9bb000)
libappindicator.so.1 => /usr/lib/x86_64-linux-gnu/libappindicator.so.1 (0x00007efd7b7ae000)
libgtk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0 (0x00007efd7b171000)
libcurl.so.4 => /usr/lib/x86_64-linux-gnu/libcurl.so.4 (0x00007efd7af09000)
libmcrypt.so.4 => /usr/lib/libmcrypt.so.4 (0x00007efd7acd5000)
libQt5Quick.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5 (0x00007efd7a74a000)
libQt5Widgets.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5 (0x00007efd79f20000)
libQt5Multimedia.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Multimedia.so.5 (0x00007efd79c47000)
libQt5X11Extras.so.5 => /usr/lib/x86_64-linux-gnu/libQt5X11Extras.so.5 (0x00007efd79a43000)
libQt5Gui.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5 (0x00007efd793f5000)
libQt5Sql.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Sql.so.5 (0x00007efd791b6000)
libQt5Qml.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5 (0x00007efd78baf000)
libQt5Network.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007efd7886a000)
libQt5Xml.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Xml.so.5 (0x00007efd7862e000)
libQt5Core.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007efd77f88000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007efd77d69000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007efd77a65000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007efd7775f000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007efd77548000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007efd77180000)
libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007efd76f61000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007efd76d5c000)
libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007efd76a54000)
libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007efd7684c000)
libindicator.so.7 => /usr/lib/x86_64-linux-gnu/libindicator.so.7 (0x00007efd7663c000)
libdbusmenu-gtk.so.4 => /usr/lib/x86_64-linux-gnu/libdbusmenu-gtk.so.4 (0x00007efd76428000)
libdbusmenu-glib.so.4 => /usr/lib/x86_64-linux-gnu/libdbusmenu-glib.so.4 (0x00007efd7620d000)
libgdk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0 (0x00007efd75f59000)
libgio-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0 (0x00007efd75be6000)
libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007efd759e2000)
libpangocairo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007efd757d4000)
libatk-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0 (0x00007efd755b2000)
libcairo.so.2 => /usr/lib/x86_64-linux-gnu/libcairo.so.2 (0x00007efd752a7000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007efd75085000)
libpangoft2-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007efd74e70000)
libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007efd74c23000)
libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007efd749e6000)
libidn.so.11 => /usr/lib/x86_64-linux-gnu/libidn.so.11 (0x00007efd747b3000)
librtmp.so.0 => /usr/lib/x86_64-linux-gnu/librtmp.so.0 (0x00007efd74599000)
libssl.so.1.0.0 => /lib/x86_64-linux-gnu/libssl.so.1.0.0 (0x00007efd74339000)
libcrypto.so.1.0.0 => /lib/x86_64-linux-gnu/libcrypto.so.1.0.0 (0x00007efd73f5d000)
libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007efd73d16000)
liblber-2.4.so.2 => /usr/lib/x86_64-linux-gnu/liblber-2.4.so.2 (0x00007efd73b06000)
libldap_r-2.4.so.2 => /usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2 (0x00007efd738b5000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007efd7369c000)
libGL.so.1 => /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1 (0x00007efd73409000)
libpulse.so.0 => /usr/lib/x86_64-linux-gnu/libpulse.so.0 (0x00007efd731c0000)
libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007efd72f99000)
libharfbuzz.so.0 => /usr/lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007efd72d44000)
libicui18n.so.52 => /usr/lib/x86_64-linux-gnu/libicui18n.so.52 (0x00007efd7293c000)
libicuuc.so.52 => /usr/lib/x86_64-linux-gnu/libicuuc.so.52 (0x00007efd725c3000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007efd723bb000)
/lib64/ld-linux-x86-64.so.2 (0x0000564ca14af000)
libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007efd721b6000)
libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007efd71fb0000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007efd71d71000)
libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007efd71b67000)
libXinerama.so.1 => /usr/lib/x86_64-linux-gnu/libXinerama.so.1 (0x00007efd71964000)
libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007efd71753000)
libXrandr.so.2 => /usr/lib/x86_64-linux-gnu/libXrandr.so.2 (0x00007efd71549000)
libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1 (0x00007efd7133f000)
libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007efd7113b000)
libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007efd70f38000)
libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007efd70d26000)
libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007efd70b02000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007efd708e7000)
libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007efd70643000)
libpixman-1.so.0 => /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x00007efd7039b000)
libxcb-shm.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0 (0x00007efd70198000)
libxcb-render.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-render.so.0 (0x00007efd6ff8e000)
libthai.so.0 => /usr/lib/x86_64-linux-gnu/libthai.so.0 (0x00007efd6fd85000)
libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007efd6fb5a000)
libgnutls.so.26 => /usr/lib/x86_64-linux-gnu/libgnutls.so.26 (0x00007efd6f89b000)
libgcrypt.so.11 => /lib/x86_64-linux-gnu/libgcrypt.so.11 (0x00007efd6f61b000)
libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007efd6f34f000)
libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007efd6f120000)
libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007efd6ef1c000)
libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007efd6ed10000)
libsasl2.so.2 => /usr/lib/x86_64-linux-gnu/libsasl2.so.2 (0x00007efd6eaf5000)
libgssapi.so.3 => /usr/lib/x86_64-linux-gnu/libgssapi.so.3 (0x00007efd6e8b7000)
libglapi.so.0 => /usr/lib/x86_64-linux-gnu/libglapi.so.0 (0x00007efd6e68c000)
libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007efd6e48a000)
libxcb-glx.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-glx.so.0 (0x00007efd6e273000)
libxcb-dri2.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-dri2.so.0 (0x00007efd6e06d000)
libxcb-dri3.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-dri3.so.0 (0x00007efd6de6a000)
libxcb-present.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-present.so.0 (0x00007efd6dc67000)
libxcb-sync.so.1 => /usr/lib/x86_64-linux-gnu/libxcb-sync.so.1 (0x00007efd6da60000)
libxshmfence.so.1 => /usr/lib/x86_64-linux-gnu/libxshmfence.so.1 (0x00007efd6d85e000)
libXxf86vm.so.1 => /usr/lib/x86_64-linux-gnu/libXxf86vm.so.1 (0x00007efd6d658000)
libdrm.so.2 => /usr/lib/x86_64-linux-gnu/libdrm.so.2 (0x00007efd6d449000)
libjson-c.so.2 => /lib/x86_64-linux-gnu/libjson-c.so.2 (0x00007efd6d23e000)
libpulsecommon-4.0.so => /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-4.0.so (0x00007efd6cfd6000)
libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007efd6cd91000)
libgraphite2.so.3 => /usr/lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007efd6cb6b000)
libicudata.so.52 => /usr/lib/x86_64-linux-gnu/libicudata.so.52 (0x00007efd6b2fd000)
libdatrie.so.1 => /usr/lib/x86_64-linux-gnu/libdatrie.so.1 (0x00007efd6b0f6000)
libtasn1.so.6 => /usr/lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007efd6aee1000)
libp11-kit.so.0 => /usr/lib/x86_64-linux-gnu/libp11-kit.so.0 (0x00007efd6ac9f000)
libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007efd6aa9a000)
libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007efd6a895000)
libheimntlm.so.0 => /usr/lib/x86_64-linux-gnu/libheimntlm.so.0 (0x00007efd6a68c000)
libkrb5.so.26 => /usr/lib/x86_64-linux-gnu/libkrb5.so.26 (0x00007efd6a403000)
libasn1.so.8 => /usr/lib/x86_64-linux-gnu/libasn1.so.8 (0x00007efd6a162000)
libhcrypto.so.4 => /usr/lib/x86_64-linux-gnu/libhcrypto.so.4 (0x00007efd69f2f000)
libroken.so.18 => /usr/lib/x86_64-linux-gnu/libroken.so.18 (0x00007efd69d19000)
libwrap.so.0 => /lib/x86_64-linux-gnu/libwrap.so.0 (0x00007efd69b0f000)
libsndfile.so.1 => /usr/lib/x86_64-linux-gnu/libsndfile.so.1 (0x00007efd698a6000)
libasyncns.so.0 => /usr/lib/x86_64-linux-gnu/libasyncns.so.0 (0x00007efd696a0000)
libwind.so.0 => /usr/lib/x86_64-linux-gnu/libwind.so.0 (0x00007efd69476000)
libheimbase.so.1 => /usr/lib/x86_64-linux-gnu/libheimbase.so.1 (0x00007efd69268000)
libhx509.so.5 => /usr/lib/x86_64-linux-gnu/libhx509.so.5 (0x00007efd6901f000)
libsqlite3.so.0 => /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 (0x00007efd68d65000)
libcrypt.so.1 => /lib/x86_64-linux-gnu/libcrypt.so.1 (0x00007efd68b2c000)
libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007efd68911000)
libFLAC.so.8 => /usr/lib/x86_64-linux-gnu/libFLAC.so.8 (0x00007efd686e0000)
libvorbisenc.so.2 => /usr/lib/x86_64-linux-gnu/libvorbisenc.so.2 (0x00007efd68211000)
libvorbis.so.0 => /usr/lib/x86_64-linux-gnu/libvorbis.so.0 (0x00007efd67fe3000)
libogg.so.0 => /usr/lib/x86_64-linux-gnu/libogg.so.0 (0x00007efd67dda000)


Библиотеки 5.4.1+ установлены, ибо:

qmake --version
QMake version 3.0
Using Qt version 5.4.2 in /opt/Qt/5.4/gcc_64/lib


Проблема остается


Очевидно, библиотеки подсасываются из директории /usr/lib/x86_64-linux-gnu/, в то время, как 5.4.2 установлена в /opt/Qt/

Попробуйте выполнить команду

LD_LIBRARY_PATH=/opt/Qt/5.4/gcc_64/lib & /usr/bin/joxi

Выполнил команду, после перезагрузки перестал загружаться KDE, только терминал. Путем несложного расследования понял, что слетели драйвера видеокарты, их переустановка помогла. Дельные у вас советы, однако.

Данный топик посвящен проблеме в Ubuntu, а не Kubuntu. В данном случае это большая разница. Если бы где то сообщениях от вас мы увидели что вы используете KDE, мы бы ответили, что весь интерфейс KDE построен на библиотеках Qt и дали бы какой нибудь другой совет.